Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

Modifiers a player gained and lost

GET/players/{id}/modifiers
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Player id

Responses
200

OK

dataPlayerModifierHistory[]required
Show properties
Array of PlayerModifierHistory
modifierIdstringrequired
namestringrequired
categorystringrequired
Allowed:positivenegativeambiguousweird
acquiredAtstringrequired

ISO 8601 date-time (UTC)

acquiredInSeasonintegerrequired
min -9007199254740991 · max 9007199254740991
acquiredInMatchdaystring | nullrequired
acquiredInGamestring | nullrequired
lostAtstring | nullrequired
Show properties
Any of:
string
string
null
null
lostInSeasoninteger | nullrequired
Show properties
Any of:
integer
integer
null
null
lostInMatchdaystring | nullrequired
lostInGamestring | nullrequired
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/players/string/modifiers' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "modifierId": "string",
      "name": "string",
      "category": "positive",
      "acquiredAt": "string",
      "acquiredInSeason": -9007199254740991,
      "acquiredInMatchday": "string",
      "acquiredInGame": "string",
      "lostAt": "string",
      "lostInSeason": -9007199254740991,
      "lostInMatchday": "string",
      "lostInGame": "string"
    }
  ]
}

Was this page helpful?